Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource
Interface ConnectionProxy

All Superinterfaces:
  java.sql.Connection, java.sql.Wrapper

    public interface ConnectionProxy

extends java.sql.Connection

Subinterface of `Connection` to be implemented by Connection proxies. Allows access to the underlying target Connection.

This interface can be checked when there is a need to cast to a native JDBC Connection such as Oracle's OracleConnection. Spring's `NativeJdbcExtractorAdapter` automatically detects such proxies before delegating to the actual unwrapping for a specific connection pool.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `TransactionAwareDataSourceProxy`, `LazyConnectionDataSourceProxy`, `DataSourceUtils.getTargetConnection(java.sql.Connection)`

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Method Summary
`java.sql.Connection` | `getTargetConnection()` Return the target Connection of this proxy.

Methods inherited from interface java.sql.Connection
`clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Method Detail

### getTargetConnection

    java.sql.Connection getTargetConnection()

  Return the target Connection of this proxy.

  This will typically be the native driver Connection or a wrapper from a connection pool.

  Returns:
    the underlying Connection (never `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD